@import url('https://fonts.googleapis.com/css2?family=Barlow:wght@400;500;700&display=swap');
@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';

.container {
  max-width: calc(1220px + 10%);
  padding-left: 5%;
  padding-right: 5%;
}

html {
  @apply text-blue-700;
  @apply leading-normal;
}

footer .tracy-waving {
  top: -126px;
}

footer::before {
  content: '';
  display: block;
  position: absolute;
  bottom: 100%;
  z-index: 1;
  background: url('/images/footer-cross.svg');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: top;
  width: 100%;
  height: 70px;
}

a {
  @apply text-pink-600;
}

a:hover {
  @apply text-pink-400;
}

a:active {
  @apply text-pink-800;
}

.feedback-wrapper {
  .emojie {
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.1s;
    filter: grayscale(100);

    &:hover,
    &.active {
      font-size: 1.75rem;
      filter: grayscale(0);
    }
  }

  .form-wrapper {
    height: 0;
    transition: height 0.15s ease-out;
    opacity: 0;

    &.focused {
      height: 19.5rem;
      opacity: 1;
    }
  }
}

/*! purgecss start ignore */
mark {
  @apply bg-pink-400;
}

.button-primary {
  @apply text-center;
  @apply text-white;
  @apply font-bold;
  @apply inline-block;
  @apply px-4;
  @apply py-3;
  @apply rounded-3xl;
  @apply bg-gradient-to-r;
  @apply from-pink-800;
  @apply via-pink-800;
  @apply to-pink-500;

  min-width: 150px;
}

.prose,
.prose strong,
.prose h1,
.prose h2,
.prose h3,
.prose h4,
.prose h5,
.prose h6 {
  @apply font-normal;
}

.prose,
.prose strong {
  @apply text-gray-700;
}

.prose h1,
.prose h2,
.prose h3,
.prose h4,
.prose h5,
.prose h6 {
  @apply text-blue-700;
}

.prose a {
  @apply text-pink-600;
  @apply no-underline;
}

.prose p {
  @apply mt-1;
  @apply mb-1;
}

.prose li {
  @apply mb-0;
  @apply mt-0;
}

.docs iframe {
  @apply mx-auto;
}

.docs {
  @apply text-lg;
}

.docs h1,
.blog h2,
.docs h2,
.blog h3,
.docs h3,
.blog h4,
.docs h4,
.blog h5,
.docs h5,
.blog h6,
.docs h6 {
  @apply flex content-start;
}

.docs h1 {
  @apply mb-8;
}

.docs h2,
.docs h3 {
  @apply mt-7;
  @apply mb-3;
}

.docs p {
  @apply mt-6;
}

.prose a:hover {
  @apply text-pink-400;
}

.docs h1 a.invisible,
.docs h2 a.invisible,
.docs h3 a.invisible,
.docs h4 a.invisible,
.docs h5 a.invisible,
.docs h6 a.invisible {
  visibility: hidden;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.docs h1:hover a,
.blog h2:hover a,
.docs h2:hover a,
.blog h3:hover a,
.docs h3:hover a,
.blog h4:hover a,
.docs h4:hover a,
.blog h5:hover a,
.docs h5:hover a,
.blog h6:hover a,
.docs h6:hover a {
  visibility: visible;
}

p code {
  @apply whitespace-nowrap;
}

.no-border {
  border-bottom-width: 0 !important;
}

.privacy table {
  @apply table-fixed min-w-full divide-y divide-gray-200;
}

.privacy table thead th {
  @apply pr-2 py-4 text-left text-xs font-medium text-gray-900 uppercase tracking-wider;
}

.privacy table tbody td {
  @apply pr-2 py-4 text-xs text-gray-500;
}

.privacy-gdpr table {
  @apply table-fixed min-w-full;
}

.privacy-gdpr table thead th {
  @apply pr-2 py-3 text-left text-xs font-medium text-gray-900 uppercase tracking-wider;
}

.privacy-gdpr table tbody td {
  @apply pr-2 py-4 text-xs text-gray-500;
}

a.blog__social-link {
  @apply no-underline text-gray-600;

  svg {
    @apply text-gray-500;
  }

  p {
    margin: 4px 0;
  }

  &:hover {
    @apply text-pink-600;

    svg {
      @apply text-pink-600;
    }
  }
}

.sidebar__nav {
  @media screen and (min-width: 768px) {
    max-height: calc(100vh - 240px);
  }
}

.break-words * {
  overflow-wrap: break-word;
}

// For Firefox
pre,
.sidebar__nav {
  scrollbar-width: thin;
  scrollbar-color: rgb(230, 230, 230) white;
}

// For Chrome, Edge and Safari
.sidebar__nav::-webkit-scrollbar,
pre::-webkit-scrollbar {
  width: 12px;
}

.sidebar__nav::-webkit-scrollbar-track,
pre::-webkit-scrollbar-track {
  background: white;
}

.sidebar__nav::-webkit-scrollbar-thumb,
pre::-webkit-scrollbar-thumb {
  @apply bg-gray-100;

  border-radius: 20px;
  border: 2px solid white;
}

// docs styles
.main-docs-section {
  @media (min-width: 1280px) {
    // this is need because react-scroll badly catches active link when h1-h3 elements have small height
    h1 {
      height: 150px;
      margin-bottom: -90px;
    }
  }
}

/*! purgecss end ignore */
